const wx2my = require('../../../../wx2my');
const Behavior = require('../../../../Behavior');
const wxService = require('../../../../utils/wxService');
// 最多传⼊ 10 个活动 ID
const campaigns = [
  {
    id: '活动 ID 1', // 营销平台活动 ID 
    imgUrl: 'http://placehold.it/156x156',  // 券图片 URL 
    style: 'background: white; border: 1px solid blue; color: blue;', // 券样式自定义
    buttonStyle: 'color: black; background: red;', // 领取按钮样式自定义
  },
  { 
    id: '活动 ID 2', 
    imgUrl: 'http://placehold.it/156x156', // 如果不传入 `imgUrl`，则会使用兜底图片
  },
]

wxService.page({
  /**
   * 页面的初始数据
   */
  data: {
    canIUse: my.canIUse('mkt'), 
    campaigns,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
  
  },
  onmessage(e){
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage(options) {
   
  }
});